oracle.dbtools.plugin.api.conf

## Class ConfigurationSetting.Builder

- java.lang.Object
- - oracle.dbtools.plugin.api.conf.ConfigurationSetting.Builder

- Enclosing class:
    ConfigurationSetting

      public static class ConfigurationSetting.Builder
      extends Object

  Builds `ConfigurationSetting` instances
  Author:
    cdivilly

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigurationSetting` | `build()` Build the `ConfigurationSetting` instance
    `ConfigurationSetting.Builder` | `defaultValue(Object defaultValue)` Specify the default value of this setting, if no explicit value is found in the `Configuration`.
    `ConfigurationSetting.Builder` | `description(Translatable description)`
    `ConfigurationSetting.Builder` | `global(boolean global)` Specify whether this is a global setting or not
    `ConfigurationSetting.Builder` | `secure(boolean secure)` Specify whether this setting contains sensitive data such as passwords.
    `ConfigurationSetting.Builder` | `type(Class<?> type)` Specify the data type of the setting

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### build

          public ConfigurationSetting build()

      Build the `ConfigurationSetting` instance
      Returns:
        `ConfigurationSetting` instance

    - #### defaultValue

          public ConfigurationSetting.Builder defaultValue(Object defaultValue)

      Specify the default value of this setting, if no explicit value is found in the `Configuration`.
      Parameters:
        `defaultValue` - The default value to use for the setting, if no explicit value is provided in the configuration
      Returns:
        self

    - #### description

          public ConfigurationSetting.Builder description(Translatable description)

    - #### global

          public ConfigurationSetting.Builder global(boolean global)

      Specify whether this is a global setting or not
      Parameters:
        `global` - true if the setting is global, false otherwise
      Returns:
        self

    - #### secure

          public ConfigurationSetting.Builder secure(boolean secure)

      Specify whether this setting contains sensitive data such as passwords.
      Parameters:
        `secure` - true if this setting is sensitive, false otherwise
      Returns:
        self

    - #### type

          public ConfigurationSetting.Builder type(Class<?> type)

      Specify the data type of the setting
      Parameters:
        `type` - The data type
      Returns:
        self

Copyright © 2010, 2022, Oracle and/or its affiliates.